Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2Mat33 Struct Reference

A 3-by-3 matrix. Stored in column-major order. More...

`#include <b2Math.h>`

## Public Member Functions
| b2Mat33 ()
| The default constructor does nothing (for performance). More...
| b2Mat33 (const b2Vec3 &c1, const b2Vec3 &c2, const b2Vec3 &c3)
| Construct this matrix using columns. More...
void | SetZero ()
| Set this matrix to all zeros. More...
b2Vec3 | Solve33 (const b2Vec3 &b) const
b2Vec2 | Solve22 (const b2Vec2 &b) const
void | GetInverse22 (b2Mat33 *M) const
void | GetSymInverse33 (b2Mat33 *M) const
| Returns the zero matrix if singular. More...

## Public Attributes
b2Vec3 | ex
b2Vec3 | ey
b2Vec3 | ez

## Detailed Description

A 3-by-3 matrix. Stored in column-major order.

## Constructor & Destructor Documentation

b2Mat33 | ( |  | ) |
| inline

The default constructor does nothing (for performance).

b2Mat33 | ( | const b2Vec3 & | c1,
|  | const b2Vec3 & | c2,
|  | const b2Vec3 & | c3
| ) |  |
| inline

Construct this matrix using columns.

## Member Function Documentation

void GetInverse22 | ( | b2Mat33 * | M | ) | const

Get the inverse of this matrix as a 2-by-2. Returns the zero matrix if singular.

void GetSymInverse33 | ( | b2Mat33 * | M | ) | const

Returns the zero matrix if singular.

Get the symmetric inverse of this matrix as a 3-by-3. Returns the zero matrix if singular.

void SetZero | ( |  | ) |
| inline

Set this matrix to all zeros.

b2Vec2 Solve22 | ( | const b2Vec2 & | b | ) | const

Solve A * x = b, where b is a column vector. This is more efficient than computing the inverse in one-shot cases. Solve only the upper 2-by-2 matrix equation.

Solve A * x = b, where b is a column vector. This is more efficient than computing the inverse in one-shot cases.

b2Vec3 Solve33 | ( | const b2Vec3 & | b | ) | const

Solve A * x = b, where b is a column vector. This is more efficient than computing the inverse in one-shot cases.

## Member Data Documentation

b2Vec3 ex

b2Vec3 ey

b2Vec3 ez

The documentation for this struct was generated from the following files:

- Box2D/Common/b2Math.h
- Box2D/Common/b2Math.cpp